Copy an app

This call copies the specified app to the specified project. The app should be one in a project that you can access; this could be an app that has been uploaded to the Seven Bridges Platform by a project member, or a publicly available app that has been copied to the project.

Path Params
string
required

If you are using Enterprise, use the name of the Division that owns the project in which the app is located; otherwise, enter the Platform username of the project owner.

string
required

The name of the project in which the app is located.

string
required

The short name of the app you are copying. Optionally, to copy a specific revision of the app, use the {app_short_name}/{revision_number} format, for example rfranklin/my-project/bamtools-index-2-4-0/1

Query Params
fields
array of strings

Selector specifying a subset of fields to include in the response.

fields
Body Params
string
required

The name of the project you want to copy the app to.

string

The new name the app will have in the target project. If its name will not change, omit this key.

string
Defaults to clone

The method for copying the app clone : copy all revisions; get updates from the same app as the copied app (default) direct: copy latest revision; get updates from the copied app clone_direct: copy all revisions; get updates from the copied app transient: copy latest revision; get updates from the same app as the copied app

Headers
string
required

Your Seven Bridges Platform authentication token.

Language
Request